<%@page language="java" import="java.util.*,java.text.*,com.homeautomationguru.intellihome.location.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<%
	String treeJSON = (String)request.getAttribute("treeJSON");
%>

<head>
    <meta charset="utf-8">
	<meta id="viewport" name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
    <script type="text/javascript" src="/js/jquery.js"></script>
	<script type="text/javascript" src="/js/jquery.mobile-1.4.2.min.js"></script>
	<link rel="stylesheet" href="/css/tree.style.min.css" />
    <script src="/js/jstree.min.js"></script>
	<style>
		/* Add alternating row stripes */
		.table-stripe tbody tr:nth-child(odd) td {
		  background-color: #333333;
		  padding: 10px 5px 10px 5px;
		}
		.table-stripe tbody tr:nth-child(even) td {
		  background-color: #666666;
		  padding: 10px 5px 10px 5px;
		}
	</style>
  <title>jsTree test</title>

</head>
<body>
<div data-theme="b" data-role="page" id="Location" data-title="ISY994i">

	<div data-theme="b" id="header" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="false">
		<h1>ISY994i</h1>
		<div class="ui-btn-left">
			<a href="/action" data-role="button" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
			<a href="/action?module=settings&action=loadsettings&moduleName=isy" data-role="button" data-ajax="false" data-icon="gear" data-iconpos="notext" data-shadow="true">Settings</a>
		</div>
	</div>

	<div data-theme="b" role="main" class="ui-content">
<br/><br/><br/>
  <div id="jstree" style="width:20%; border-right:solid white 1px; float:left; overflow-x:hidden;">
  </div>
  <div id="data" style="width:60%; border:none; float:left;">
  <center>
	  <div data-role="controlgroup" data-type="horizontal" data-theme="a">
			<a id="viewDetails" data-role="button">Details</a>
			<a id="viewEvents" data-role="button">Events</a>
			<a id="viewRecent" data-role="button">Recent</a>
			<a id="viewHistory" data-role="button">History</a>
			<a id="viewControl" data-role="button">Control</a>
      </div>
      </center>
      <div id="controlPanel" style="padding:10px;"></div>
  </div>

  <script>
	var lastAction="";

$(function () {
	  
    $('#jstree').jstree(
    	{ "core" : {
    	"plugins": ["types"],
    	"multiple" : false,
    	"data" : [
<%=treeJSON%>
        ]
    } });	  
    $("#jstree").bind("select_node.jstree", function (e, data) {
    	if (!lastAction=="")
    		$("#" + lastAction).click();
        return data.instance.toggle_node(data.node);
    });    
    
    getSelectedNodeID = function() {
    	if ($("#jstree").jstree("get_selected", "full").length>0)
    		return $("#jstree").jstree("get_selected", "full")[0].id;
    	else
    		return "";
    }
    
    getSelectedNodeType = function() {
    	if ($("#jstree").jstree("get_selected", "full").length>0)
    		return $("#jstree").jstree("get_selected", "full")[0].original.type;
    	else
    		return "";
    }

    $("#viewDetails").click(function() {
    	lastAction="viewDetails";
        $.ajax({
          type: "POST",
          url: "/action?module=isy&action=viewDetails&address=" + getSelectedNodeID() + "&type=" + getSelectedNodeType(),
          cache: false,
          dataType: "html",
          success: onSuccess
        });
    });
    
    $("#viewEvents").click(function() {
    	lastAction="viewEvents";
        $.ajax({
          type: "POST",
          url: "/action?module=isy&action=viewEvents&address=" + getSelectedNodeID() + "&type=" + getSelectedNodeType(),
          cache: false,
          dataType: "html",
          success: onSuccess
        });
    });
    
    $("#viewRecent").click(function() {
    	lastAction="viewRecent";
        $.ajax({
          type: "POST",
          url: "/action?module=isy&action=viewRecent&address=" + getSelectedNodeID() + "&type=" + getSelectedNodeType(),
          cache: false,
          dataType: "html",
          success: onSuccess
        });
    });
    
    $("#viewHistory").click(function() {
    	lastAction="viewHistory";
        $.ajax({
          type: "POST",
          url: "/action?module=isy&action=viewHistory&address=" + getSelectedNodeID() + "&type=" + getSelectedNodeType(),
          cache: false,
          dataType: "html",
          success: onSuccess
        });
    });
    
    $("#viewControl").click(function() {
    	lastAction="viewControl";
        $.ajax({
          type: "POST",
          url: "/action?module=isy&action=viewControl&address=" + getSelectedNodeID() + "&type=" + getSelectedNodeType(),
          cache: false,
          dataType: "html",
          success: onSuccess
        });
    });

    $("#controlPanel").ajaxError(function(event, request, settings, exception) {
      $("#controlPanel").html("Error Calling: " + settings.url + "<br />HTTP Code: " + request.status);
    });

    function onSuccess(data)
    {
        $("#controlPanel").html(data);
    }
    
    $('#jstree').on('mousedown', function(e){
        var $dragable = $(this),
            startWidth = $dragable.width(),
            pX = e.pageX;
        
        $(document).on('mouseup', function(e){
            $(document).off('mouseup').off('mousemove');
        });
        $(document).on('mousemove', function(me){
            var mx = (me.pageX - pX);
            
            $dragable.css({
                width: startWidth + mx,
            });
        });
                
    });
    
  });
  </script>
  </div>
</div>
  
</body>
</html>