<%@page language="java" import="java.util.*,java.text.*,com.homeautomationguru.intellihome.sitesage.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%
	TimePlotter genericTimePlotter = (TimePlotter)request.getAttribute("genericTimePlotter");
	String header = genericTimePlotter.getHeader();
	Hashtable<Integer, String> circuits = (Hashtable<Integer, String>)request.getAttribute("circuitsNames");
	Hashtable<Integer, String> circuitChecked = (Hashtable<Integer, String>)request.getAttribute("circuitChecked");
	int numSeconds = (Integer)request.getAttribute("numSeconds");
	int numPoints = (Integer)request.getAttribute("numPoints");
	String circuitValues = (String)request.getAttribute("circuitValues");
%>

<html>
	<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/css/floorplan.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>

		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<script type="text/javascript">
		$(function () {
		    var chart;
		    $(document).ready(function() {
		    	
		    	Highcharts.setOptions({
		    		   global: {
		    		      useUTC: false
		    		   }
		    		});
		    	
		    	Highcharts.theme = {
		    			   colors: ["#DDDF0D", "#7798BF", "#55BF3B", "#DF5353", "#aaeeee", "#ff0066", "#eeaaee",
		    			      "#55BF3B", "#DF5353", "#7798BF", "#aaeeee"],
		    			   chart: {
		    			      backgroundColor: {
		    			         linearGradient: [0, 0, 0, 400],
		    			         stops: [
		    			            [0, 'rgb(96, 96, 96)'],
		    			            [1, 'rgb(16, 16, 16)']
		    			         ]
		    			      },
		    			      borderWidth: 0,
		    			      borderRadius: 15,
		    			      plotBackgroundColor: null,
		    			      plotShadow: false,
		    			      plotBorderWidth: 0
		    			   },
		    			   title: {
		    			      style: {
		    			         color: '#FFF',
		    			         font: '16px Lucida Grande, Lucida Sans Unicode, Verdana, Arial, Helvetica, sans-serif'
		    			      }
		    			   },
		    			   subtitle: {
		    			      style: {
		    			         color: '#DDD',
		    			         font: '12px Lucida Grande, Lucida Sans Unicode, Verdana, Arial, Helvetica, sans-serif'
		    			      }
		    			   },
		    			   xAxis: {
		    			      gridLineWidth: 0,
		    			      lineColor: '#999',
		    			      tickColor: '#999',
		    			      labels: {
		    			         style: {
		    			            color: '#999',
		    			            fontWeight: 'bold'
		    			         }
		    			      },
		    			      title: {
		    			         style: {
		    			            color: '#AAA',
		    			            font: 'bold 12px Lucida Grande, Lucida Sans Unicode, Verdana, Arial, Helvetica, sans-serif'
		    			         }
		    			      }
		    			   },
		    			   yAxis: {
		    			      alternateGridColor: null,
		    			      minorTickInterval: null,
		    			      gridLineColor: 'rgba(255, 255, 255, .1)',
		    			      lineWidth: 0,
		    			      tickWidth: 0,
		    			      labels: {
		    			         style: {
		    			            color: '#999',
		    			            fontWeight: 'bold'
		    			         }
		    			      },
		    			      title: {
		    			         style: {
		    			            color: '#AAA',
		    			            font: 'bold 12px Lucida Grande, Lucida Sans Unicode, Verdana, Arial, Helvetica, sans-serif'
		    			         }
		    			      }
		    			   },
		    			   legend: {
		    			      itemStyle: {
		    			         color: '#CCC'
		    			      },
		    			      itemHoverStyle: {
		    			         color: '#FFF'
		    			      },
		    			      itemHiddenStyle: {
		    			         color: '#333'
		    			      }
		    			   },
		    			   labels: {
		    			      style: {
		    			         color: '#CCC'
		    			      }
		    			   },
		    			   tooltip: {
		    			      backgroundColor: {
		    			         linearGradient: [0, 0, 0, 50],
		    			         stops: [
		    			            [0, 'rgba(96, 96, 96, .8)'],
		    			            [1, 'rgba(16, 16, 16, .8)']
		    			         ]
		    			      },
		    			      borderWidth: 0,
		    			      style: {
		    			         color: '#FFF'
		    			      }
		    			   },


		    			   plotOptions: {
		    			      line: {
		    			         dataLabels: {
		    			            color: '#CCC'
		    			         },
		    			         marker: {
		    			            lineColor: '#333'
		    			         }
		    			      },
		    			      spline: {
		    			         marker: {
		    			            lineColor: '#333'
		    			         }
		    			      },
		    			      scatter: {
		    			         marker: {
		    			            lineColor: '#333'
		    			         }
		    			      },
		    			      candlestick: {
		    			         lineColor: 'white'
		    			      }
		    			   },

		    			   toolbar: {
		    			      itemStyle: {
		    			         color: '#CCC'
		    			      }
		    			   },

		    			   navigation: {
		    			      buttonOptions: {
		    			         backgroundColor: {
		    			            linearGradient: [0, 0, 0, 20],
		    			            stops: [
		    			               [0.4, '#606060'],
		    			               [0.6, '#333333']
		    			            ]
		    			         },
		    			         borderColor: '#000000',
		    			         symbolStroke: '#C0C0C0',
		    			         hoverSymbolStroke: '#FFFFFF'
		    			      }
		    			   },

		    			   exporting: {
		    			      buttons: {
		    			         exportButton: {
		    			            symbolFill: '#55BE3B'
		    			         },
		    			         printButton: {
		    			            symbolFill: '#7797BE'
		    			         }
		    			      }
		    			   },

		    			   // scroll charts
		    			   rangeSelector: {
		    			      buttonTheme: {
		    			         fill: {
		    			            linearGradient: [0, 0, 0, 20],
		    			            stops: [
		    			               [0.4, '#888'],
		    			               [0.6, '#555']
		    			            ]
		    			         },
		    			         stroke: '#000000',
		    			         style: {
		    			            color: '#CCC',
		    			            fontWeight: 'bold'
		    			         },
		    			         states: {
		    			            hover: {
		    			               fill: {
		    			                  linearGradient: [0, 0, 0, 20],
		    			                  stops: [
		    			                     [0.4, '#BBB'],
		    			                     [0.6, '#888']
		    			                  ]
		    			               },
		    			               stroke: '#000000',
		    			               style: {
		    			                  color: 'white'
		    			               }
		    			            },
		    			            select: {
		    			               fill: {
		    			                  linearGradient: [0, 0, 0, 20],
		    			                  stops: [
		    			                     [0.1, '#000'],
		    			                     [0.3, '#333']
		    			                  ]
		    			               },
		    			               stroke: '#000000',
		    			               style: {
		    			                  color: 'yellow'
		    			               }
		    			            }
		    			         }
		    			      },
		    			      inputStyle: {
		    			         backgroundColor: '#333',
		    			         color: 'silver'
		    			      },
		    			      labelStyle: {
		    			         color: 'silver'
		    			      }
		    			   },

		    			   navigator: {
		    			      handles: {
		    			         backgroundColor: '#666',
		    			         borderColor: '#AAA'
		    			      },
		    			      outlineColor: '#CCC',
		    			      maskFill: 'rgba(16, 16, 16, 0.5)',
		    			      series: {
		    			         color: '#7798BF',
		    			         lineColor: '#A6C7ED'
		    			      }
		    			   },

		    			   scrollbar: {
		    			      barBackgroundColor: {
		    			            linearGradient: [0, 0, 0, 20],
		    			            stops: [
		    			               [0.4, '#888'],
		    			               [0.6, '#555']
		    			            ]
		    			         },
		    			      barBorderColor: '#CCC',
		    			      buttonArrowColor: '#CCC',
		    			      buttonBackgroundColor: {
		    			            linearGradient: [0, 0, 0, 20],
		    			            stops: [
		    			               [0.4, '#888'],
		    			               [0.6, '#555']
		    			            ]
		    			         },
		    			      buttonBorderColor: '#CCC',
		    			      rifleColor: '#FFF',
		    			      trackBackgroundColor: {
		    			         linearGradient: [0, 0, 0, 10],
		    			         stops: [
		    			            [0, '#000'],
		    			            [1, '#333']
		    			         ]
		    			      },
		    			      trackBorderColor: '#666'
		    			   },

		    			   // special colors for some of the demo examples
		    			   legendBackgroundColor: 'rgba(48, 48, 48, 0.8)',
		    			   legendBackgroundColorSolid: 'rgb(70, 70, 70)',
		    			   dataLabelsColor: '#444',
		    			   textColor: '#E0E0E0',
		    			   maskColor: 'rgba(255,255,255,0.3)'
		    			};

		    			// Apply the theme
		    			var highchartsOptions = Highcharts.setOptions(Highcharts.theme);
		    	
		    	
		        chart = new Highcharts.Chart({
		            chart: {
		                renderTo: 'container',
		                type: 'areaspline',
		                zoomType: 'x'
		            },
		            title: {
		                text: 'Power Usage'
		            },
		            legend: {
		                layout: 'vertical',
		                align: 'right',
		                verticalAlign: 'top',
		                x: -15,
		                y: 45,
		                floating: true,
		                borderWidth: 1,
		                backgroundColor: '#FFFFFF'
		            },
		            xAxis: {
		                // categories: <%=genericTimePlotter.getCategories()%>,
		                type:'datetime',
		                plotBands: <%=genericTimePlotter.getPlotBands()%>
		            },
		            yAxis: [
			                {
				                title: {
				                    text: 'watts'
				                }
			            	}
		            ],
//		            tooltip: {
//		                formatter: function() {
//		                    return ''+
//		                    this.x +': '+ this.y +' watts';
//		                }
//		            },
		            credits: {
		                enabled: false
		            },
		            plotOptions: {
		                areaspline: {
		                    fillOpacity: 0.5
		                }
		            },
		            series: [<%=genericTimePlotter.getSeriesJSON()%>]
		        });
		    });
		    
		});

		</script>
	<script src="/js/highstock.js"></script>
	<script src="/js/exporting.js"></script>
	<script>
	toggleCircuit = function(index) {
		var circuits = "<%=circuitValues%>";
		var split = circuits.split(",");
		var found=false;
		var newList="";
		for (x=0; x< split.length; x++) {
			if (split[x] == ""+index) {
				// found it, so we need to remove it
				found=true;
			}
			else {
				if (newList.length!=0)
					newList += ",";
				newList += split[x];
			}
		}
		if (!found) {
			// never found, so we must need to add it
			if (newList.length != 0)
				newList += ",";
			newList += index;
		}
		document.getElementById("circuitFormValue").value = newList;
		document.getElementById("circuitForm").submit();
	}
	</script>
	</head>
<body>
<div data-role="page" data-theme="b" id="Power" data-title="Power">

	<div id="header" data-theme="b" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="true">
		<h1>Power</h1>
		<div class="ui-btn-left">
			<a href="/action" data-role="button" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
			<a href="/action?module=settings&action=loadsettings&moduleName=sitesage" data-role="button" data-ajax="false" data-icon="gear" data-iconpos="notext" data-shadow="true">Settings</a>
		</div>
		<div class="ui-btn-right" data-role="controlgroup" data-type="horizontal">
			<a href="#controlpanel" data-role="button" data-icon="grid" data-rel="popup" data-shadow="true">Time Frame</a>
		</div>
		
	</div>

	<div role="main" data-theme="b" class="ui-content">
		<br/><br/><br/><br/>

	<ul class="chart" id="chart_container">
    <li style="text-align:center;"><div id="container"></div></li>
    	<form id="circuitForm" action="action" method="get">
    	<input type=hidden name="module" value="sitesage"/>
    	<input type=hidden name="numSeconds" value="<%=numSeconds%>"/>
    	<input type=hidden name="numPoints" value="<%=numPoints%>"/>
    	<input type=hidden id="circuitFormValue" name="circuits" value=""/>
<% for (int x=2; x<40; x++) {
	if ((circuits.get(x)!=null) && (!"".equals(circuits.get(x))) && (!"null".equals(circuits.get(x))) && (circuits.get(x).length()>0)) %>
	<a href="#" onClick="toggleCircuit(<%=x %>);" data-role="button" data-inline="true" data-theme="<% if (circuitChecked.get(x)!=null) { out.print("a"); } else { out.print("b"); }%>" data-ajax="false" data-icon="<% if (circuitChecked.get(x)!=null) { out.print("check"); } else { out.print("delete"); }%>"><%=circuits.get(x) %></a>
	
<% } %>    		
    	</form> <br/><br/><br/><br/><br/><br/><br/>
    </ul>

	</div>
	
  <!-- defaultpanel  -->
  <div data-role="panel" id="controlpanel" data-theme="b" data-display="push"> 
 
    <div class="panel-content">
      <h3>Options</h3>
      <a href="/action?module=sitesage" class="ui-link ui-btn ui-btn-a ui-icon-delete ui-btn-icon-left ui-shadow ui-corner-all" data-role="button" data-theme="a" data-icon="grid" role="button" data-ajax="false">1 Day</a>
      <a href="/action?module=sitesage&numSeconds=604800&numPoints=800" class="ui-link ui-btn ui-btn-a ui-icon-delete ui-btn-icon-left ui-shadow ui-corner-all" data-role="button" data-theme="a" data-icon="grid" role="button" data-ajax="false">1 Week</a>
      <a href="/action?module=sitesage&numSeconds=2419200&numPoints=800" class="ui-link ui-btn ui-btn-a ui-icon-delete ui-btn-icon-left ui-shadow ui-corner-all" data-role="button" data-theme="a" data-icon="grid" role="button" data-ajax="false">1 Month</a>
    </div><!-- /content wrapper for padding -->
  </div><!-- /defaultpanel -->
</div>	
	</body>
</html>
