<%@page language="java" import="java.util.*,java.text.*, com.homeautomationguru.intellihome.modules.*" %>
<!DOCTYPE html>

<%
	String tabledata = (String)request.getAttribute("tabledata");
%>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/css/prefs.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>
</head> 
<body> 

<!-- page -->
<div id="Database" data-theme="b" data-role="page" data-title="Database">

	<!-- header -->
	<div data-role="header" data-theme="b" data-position="fixed" data-fullscreen="true" data-tap-toggle="false" class="ui-header ui-bar-f" role="banner">
		<h1>Database</h1>
		<a href="/action?module=launcher&folder=Settings" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Back</a>
	</div>
	<!-- /header -->

	<!-- content -->
	<div data-theme="b" data-role="content" class="ui-content" role="main" style="width:100%">

		<div class="content-primary" id="sql"><br/><br/>
			<h3>SQL</h3>
			<div>The database is at: <%=InitializationManager.getDBPath() %></div>
			<div>You can run arbitrary SQL queries against the DB here.</div>
				<div id="tableList"></div>
				SQL: <textarea id="sqlquery" name="sqlquery" rows="4" cols="30"></textarea><br/>
  <center>
	  <div data-role="controlgroup" data-type="horizontal" data-theme="a">
			<a id="runQuery" data-role="button" onclick="runSQLQuery('select');">Query</a>
			<a id="runInsert" data-role="button" onclick="runSQLQuery('insert');">Insert</a>
			<a id="runUpdate" data-role="button" onclick="runSQLQuery('update');">Update</a>
      </div>
      </center>
				<div id="sqlresponse"></div>
		</div>

	</div>
	<!-- content -->

</div>
<!-- /page -->

<script>
ajaxRunSQLQuery = function(sql, action) {
    $.ajax({
        url: '/action?module=database&action=' + action,
        type: 'post',
        dataType: 'html',
        data: "sqlquery=" + encodeURIComponent(sql),
        success: function(data) {
        	$('#sqlresponse')[0].innerHTML = data;
        }
    });
    // set the query field 
	$('#sqlquery').val(sql);
}

runSQLQuery = function(action) {
	ajaxRunSQLQuery($('#sqlquery').val(), action);
}

// populate the tableData
tableHTML = "<table border=1><tr><th>table</th><th>sort column</th></tr>";
tableData = jQuery.parseJSON( '<%=tabledata%>' ).tables;

for (x=0; x<tableData.length; x++) {
	sql = "select * from " + tableData[x].name;
	if (tableData[x].sortable.length>1)
		sql = sql + " order by " + tableData[x].sortable + " desc";
		tableHTML = tableHTML + "<tr><td><a href=# onclick=\"ajaxRunSQLQuery('" + sql + "','select')\">" + tableData[x].name + "</a></td><td>" + tableData[x].sortable + "</td></tr>";
}
tableHTML = tableHTML + "</table>";
$('#tableList')[0].innerHTML = tableHTML;

</script>

</body>
</html>