<%@page language="java" import="java.util.*, java.io.*,com.homeautomationguru.intellihome.weather.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<% 
	Weather currentWeather = (Weather)request.getAttribute("currentWeather");
	ArrayList<Weather> forecastWeather = (ArrayList<Weather>)request.getAttribute("forecastWeather");
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/css/floorplan.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>
	<script src="/js/jquery-ui.min.js"></script>
	<script src="/js/jquery.ui.touch-punch.min.js"></script>

</head>

<body>

<div data-role="page" data-theme="b" id="Intellihome" data-title="Intellihome">

	<div id="header" data-theme="b" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="true">
		<h1>Weather</h1>
		<div class="ui-btn-left">
			<a href="/action" data-role="button" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
			<a href="/action?module=settings&action=loadsettings&moduleName=weather" data-role="button" data-ajax="false" data-icon="gear" data-iconpos="notext" data-shadow="true">Settings</a>
		</div>
	</div>

	<div data-theme="b" role="main" class="ui-content">
		<br/><br/><br/><br/><center>
		<div id="items" data-role="button">
		<a id="currentWeather" data-role="button" data-inline="true" data-theme="b"><img src="/modules/weather/images/day/<%=currentWeather.getWeatherCode() %>.png" height="128" width="128"/><br/><br/><%=currentWeather.getDescription() %><br/>Temp: <%=currentWeather.getTemp() %><br/>High: <%=currentWeather.getHigh() %><br/>Low: <%=currentWeather.getLow() %></a>
<% 
for (Weather weather : forecastWeather) { 
%>		
		<a data-role="button" data-inline="true" data-theme="b"><img src="/modules/weather/images/day/<%=weather.getWeatherCode() %>.png" height="128" width="128"/><br/><br/><%=weather.getDescription() %><br/><br/>High: <%=weather.getHigh() %><br/>Low: <%=weather.getLow() %></a>
<% 
}
%>
		</div>
	</center>

	</div>

</div>
</body>
</html>
